Socketmap server to integrate uffd mail aliases with postfix
============================================================

[uffd](https://git.cccv.de/uffd/uffd) has features that rely on mail aliases.
To make those mail aliases work, it provides an API to lookup alias addresses
for a given address. uffd-socketmapd uses this API to integrate alias lookup
with MTAs that support the socketmap protocol, like sendmail and postfix.

uffd-socketmapd can be run manually. For production deployments, use the
provided debian packages. Add our package mirror to `/etc/sources.list`:

```
deb https://packages.cccv.de/uffd bullseye main
```
Then download [cccv-archive-key.gpg](cccv-archive-key.gpg) and add it to
the trusted repository keys in `/etc/apt/trusted.gpg.d/`. Afterwards run
`apt update && apt install uffd-socketmapd` to install the package.

Set the API url and secret in `/etc/uffd-socketmapd-postfix.conf`, enable
and start `uffd-socketmapd-postfix.socket`. Then configure Postfix, e.g.
by adding the following lines to `/etc/postfix/main.cf`:

```
# Note that postfix runs in a chroot (/var/spool/postfix) and paths are
# relative to that!
virtual_alias_maps = socketmap:unix:/uffd-socketmapd.sock:virtual
# Defaults to $virtual_alias_maps, which does not work here, so unset it
virtual_alias_domains =
```

Note that uffd-socketmapd requires at least uffd v1.2.0!
